import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增课程模块
    addCoursemodule(data) {
        return request({
            url: '/course/module',
            method: 'post',
            data
        })
    },
    //修改课程模块
    editCoursemodule(data) {
        return request({
            url: '/course/module/edit',
            method: 'post',
            data
        })
    },
    //查询课程模块列表
    inquireCourseListmodule(data) {
        return request({
            url: '/course/module/list',
            method: 'get',
            params: data
        })
    },
    //获取课程模块业务层次列表
    inquireCourseListmodulebusiness(data) {
        return request({
            url: '/course/module/business/' + data,
            method: 'get',
        })
    },
    //获取课程模块详细信息
    obtainCoursemodule(data) {
        return request({
            url: `/course/module/` + data,
            method: 'get',
        })
    },
    //查询模块与章关系列表
    inquireCourseListmodulechapter(data) {
        return request({
            url: '/course/module/chapter/allList/' + data,
            method: 'get',
        })
    },
    //导入章节模板
    CoursemoduleimportData(data) {
        return request({
            url: '/course/module/importData',
            method: 'post',
            data
        })
    },
}